Subject: bug#52918: 29.0.50; to make use of ucd/Unihan_Readings.txt for kDefinition entry

From: Van Ly <[email-masked]>
Date: Sun, 23 Jan 2022 11:22:03 +0000 (UTC)

On Sun, 23 Jan 2022, Eli Zaretskii wrote:

>>>
>>> Patches welcome.
>>>
>>
>> See patch attached.
>>
>> Two of the three implementation steps suggested are done.
>
> Thanks.
>
> You don't seem to have copyright assignment on file, and without that
> we cannot accept such large contributions.  Would you like to start
> your legal paperwork now?  If so, I will send you the form and the
> instructions.
>

I sent an email to [email-masked] in the 24hr before this patch was 
submitted.  I was hoping this patch would fall below the 15 line 
limit and not need the formality of the legal paperwork.  The minor 
mode contribution would climb above the limit, which was why I sent 
the request to assign copyright.  Best case is a 2 week wait.

That generated uni-unihan-readings.el will need a line as follows:

diff --git a/admin/unidata/Unihan_Readings.awk 
b/admin/unidata/Unihan_Readings.awk
index cf319449e59..f01c75b88f9 100644
--- a/admin/unidata/Unihan_Readings.awk
+++ b/admin/unidata/Unihan_Readings.awk
@@ -1,5 +1,6 @@
  BEGIN {
      FS="	"
+    printf(";; -*-no-byte-compile: t; -*-\n")
      printf("(defvar readings-table\n\
  	(make-char-table 'readings-table nil)\n\
  	\"Char table of definitions for East Asian characters.\")\n")

-- 
vl